export const routeConstants = {
  GET_ALL_REQUEST: 'ROUTE_GET_ALL_REQUEST',
  GET_ALL_SUCCESS: 'ROUTE_GET_ALL_SUCCESS',
  GET_ALL_FAILURE: 'ROUTE_GET_ALL_FAILURE',

  GET_BY_ID_REQUEST: 'ROUTE_GET_BY_ID_REQUEST',
  GET_BY_ID_SUCCESS: 'ROUTE_GET_BY_ID_SUCCESS',
  GET_BY_ID_FAILURE: 'ROUTE_GET_BY_ID_FAILURE',

  GET_ALL_BY_TYPE_REQUEST: 'ROUTE_GET_ALL_BY_TYPE_REQUEST',
  GET_ALL_BY_TYPE_SUCCESS: 'ROUTE_GET_ALL_BY_TYPE_SUCCESS',
  GET_ALL_BY_TYPE_FAILURE: 'ROUTE_GET_ALL_BY_TYPE_FAILURE',

  CREATE_REQUEST: 'ROUTE_CREATE_REQUEST',
  CREATE_SUCCESS: 'ROUTE_CREATE_SUCCESS',
  CREATE_FAILURE: 'ROUTE_CREATE_FAILURE',

  DELETE_REQUEST: 'ROUTE_DELETE_REQUEST',
  DELETE_SUCCESS: 'ROUTE_DELETE_SUCCESS',
  DELETE_FAILURE: 'ROUTE_DELETE_FAILURE',

  UPDATE_REQUEST: 'ROUTE_UPDATE_REQUEST',
  UPDATE_SUCCESS: 'ROUTE_UPDATE_SUCCESS',
  UPDATE_FAILURE: 'ROUTE_UPDATE_FAILURE',

  FILTER: 'ROUTE_FILTER'
};
